gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.CellRenderer Renders text in a cell Used to add text to a .
- Constructor
  2.12.0.0
  Creates a new .
  The default constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.Property("alignment")
  Pango.Alignment Identifies the Alignment of text within the renderer. a .
- Property
  2.12.0.0
  GLib.Property("attributes")
  Pango.AttrList A list of style attributes to apply to the text of the renderer. an object of type
- Property
  2.12.0.0
  GLib.Property("background")
  System.String Background color as a . an object of type
- Property
  2.12.0.0
  GLib.Property("background-gdk")
  Gdk.Color Background color as a . an object of type
- Property
  2.12.0.0
  GLib.Property("editable")
  System.Boolean Whether the text can be modified by the user. an object of type
- Event
  2.12.0.0
  GLib.Signal("edited")
  Gtk.EditedHandler Emitted when the cell is edited.
- Property
  2.12.0.0
  GLib.Property("ellipsize")
  Pango.EllipsizeMode Specifies the preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string. A . Setting it to turns off ellipsizing. See the property for another way of making the text fit in a given width.
- Property
  2.12.0.0
  GLib.Property("family")
  System.String Name of the font family, e.g. Sans, Helvetica, Times, Monospace. an object of type
- Property
  2.12.0.0
  System.Int32 Sets the height of a renderer to explicitly be determined by the . an object of type
- Property
  2.12.0.0
  GLib.Property("font")
  System.String Font description as a . an object of type
- Property
  2.12.0.0
  GLib.Property("font-desc")
  Pango.FontDescription The font description as a an object of type
- Property
  2.12.0.0
  GLib.Property("foreground")
  System.String Foreground color as a string. an object of type
- Property
  2.12.0.0
  GLib.Property("foreground-gdk")
  Gdk.Color Foreground color as a . an object of type
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("language")
  System.String The language this text is in, as an ISO code. a Pango can use this as a hint when rendering the text. If you don't understand this parameter, you probably don't need it.
- Property
  2.12.0.0
  GLib.Property("markup")
  System.String Marked up text to render. an object of type
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEdited", Type=typeof(Gtk.CellRendererText))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("rise")
  System.Int32 Offset of text above the baseline (below the baseline if rise is negative). an object of type
- Property
  2.12.0.0
  GLib.Property("scale")
  System.Double Font scaling factor. an object of type
- Property
  2.12.0.0
  GLib.Property("single-paragraph-mode")
  System.Boolean Whether or not to keep all text in a single paragraph. a
- Property
  2.12.0.0
  GLib.Property("size")
  System.Int32 Font size. an object of type
- Property
  2.12.0.0
  GLib.Property("size-points")
  System.Double Font size in points. an object of type
- Method
  2.12.0.0
  Gtk.CellEditable `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("stretch")
  Pango.Stretch Font stretch. an object of type
- Property
  2.12.0.0
  GLib.Property("strikethrough")
  System.Boolean Whether to strike through the text. an object of type
- Property
  2.12.0.0
  GLib.Property("style")
  Pango.Style Font style. an object of type
- Property
  2.12.0.0
  GLib.Property("text")
  System.String Text to render. an object of type
- Property
  2.12.0.0
  GLib.Property("underline")
  Pango.Underline Style of underline for this text. an object of type
- Property
  2.12.0.0
  GLib.Property("variant")
  Pango.Variant Font variant. an object of type
- Property
  2.12.0.0
  GLib.Property("weight")
  System.Int32 Font weight. an object of type
- Property
  2.12.0.0
  GLib.Property("width-chars")
  System.Int32 The desired width of the cell, in characters. A that is equal or greater than -1. If this property is set to -1, the width will be calculated automatically, otherwise the cell will request either 3 characters or the property value, whichever is greater. It's default value is -1.
- Property
  2.12.0.0
  GLib.Property("wrap-mode")
  Pango.WrapMode Wrapping mode. a indicating how text is wrapped. Defaults to .
- Property
  2.12.0.0
  GLib.Property("wrap-width")
  System.Int32 The width at which text is wrapped. a width >= -1, where -1 denotes no wrapping.